﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace GridModelTest.Models
{
    public class BankAccount
    {
        public int AccountNumber { get; set; }
        public string AccountName { get; set; }
        public DateTime AccountDate { get; set; }
        public string AccountType { get; set; }
        public decimal AccountBalance { get; set; }
    }

    public class AccountModel
    {
        public static IQueryable<BankAccount> GetAccountList()
        {
            List<BankAccount> accountList = new List<BankAccount>();
            DateTime date = DateTime.Now;
            for (int i = 1; i < 1001; i++)
            {
                accountList.Add(new BankAccount()
                {
                    AccountNumber = i,
                    AccountName = "Test" + i.ToString(),
                    AccountDate = date,
                    AccountType = "chk",
                    AccountBalance = 12345678.90M
                }
                );
            }
            return accountList.AsQueryable<BankAccount>();
        }
    }
}